Bug 196133 - cannot have more than one system per login
cannot have more than one system per login
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 08:58 EDT by bmcag-1
Modified: 2007-04-18 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 11:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmcag-1 2006-06-21 08:58:59 EDT
It is impossoble to have more than one RHEL system defined. If you try, you get
a 'his assignment would exceed your allowed subscriptions.' when trying to
unlock update downloads. There is no possibility to enter the license key for
the 2nd system, so I have to create a new login account for every single system
that we have.
Comment 1 Bret McMillan 2006-06-21 09:02:36 EDT
I need a much clearer description of the what specifically you're trying to do.
 I'm assuming you are trying to register 2+ systems to RHN, the first one
succeeds, and somehow the 2nd one fails...?

What specifically are you running on the second one?  Is this during firstboot?
 Or are you running up2date --register or rhnreg_ks at the commandline?
Comment 2 bmcag-1 2006-06-21 09:52:50 EDT
Yes, I am trying to add a 2nd system to my account using 'up2date --register'.
This works, but the new system does not get any updates when I run 'up2date -u'.
There is no possibility to add the license key of the 2nd machine to enable it
for updating.

The system is RHEL4.

BTW, I created a new login for this machine, and it still does not get any
updates. How come? Where can I enter the license key?
Comment 3 Bret McMillan 2006-06-21 11:24:39 EDT
Let me see if I can explain.  When you create an account, you start w/ zero RHEL
channel entitlements available to the account.  You can register as many
machines as you'd like (registration provides the /etc/sysconfig/rhn/systemid
credentials file), and you can see those machines on https://rhn.redhat.com/,
but those systems will not be able to obtain content until you have RHEL channel
entitlements available.

When you use the graphical version of the registration client, you have the
opportunity to provide a product activation key that will provide RHEL channel
entitlements to the account associated with the provided username & passwd.

If you did a console version of 'up2date --register' for the 2nd system, you
pretty much just obtained that systemid file; your account has no additional
entitlements available.

If you have an activation key that is *different* from the one you used with
your first system, please use that on the 2nd machine in conjunction with either:
a)  the graphical version of up2date --register
b) rhnreg_ks with the --activationkey flag.

For more help, please either contact Customer Support, or take a look at the
online documentation located at:

https://rhn.redhat.com/rhn/help/reference/rhn405/en/s1-up2date-register.jsp
Comment 4 bmcag-1 2006-06-22 07:21:50 EDT
rhnreg_ks --activationkey fails:

[root@mx3 ~]# rhnreg_ks --activationkey=a401-a8c7-dac7-7131 --force

Error Message:
    Could not find token 'a401-a8c7-dac7-7131'
Error Class Code: 60
Error Class Info: Invalid system registration token

I still consider it a bug that I cannot enter the license key at RHN.

Note You need to log in before you can comment on or make changes to this bug.